/// <reference types="node" />
import { Label, Message, MessageWithAttachments } from '../google/gmail';
import { WritableStream } from 'node:stream/web';
interface SnapshotWriter {
    messageWithAttachments: WritableStream<MessageWithAttachments>;
    writeLabels: (labels: Label[]) => Promise<void>;
}
export declare class SnapshotBuilder {
    private readonly now;
    constructor();
    getSnapshotWriter(account: string, onMessageSave?: (count: number) => void): Promise<SnapshotWriter>;
    private prepareMessageWithAttachmentsWritable;
}
export declare function findLastSavedMessage(account: string): Promise<Message | undefined>;
export {};
