"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const oauth_1 = require("../google/oauth");
const config_1 = require("../config");
const hook = async function () {
    try {
        (0, config_1.setupConfig)();
        await (0, oauth_1.setupOAuth)();
    }
    catch (error) {
        console.error('Error in prerun hook', error);
        // eslint-disable-next-line no-process-exit,unicorn/no-process-exit
        process.exit(1);
    }
};
exports.default = hook;
